Bug 206017 - Prefetch of Java files in JavaCustomIndexer
Prefetch of Java files in JavaCustomIndexer
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
: PERFORMANCE, PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 17:04 UTC by Tomas Zezula
Modified: 2012-03-20 13:45 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-06 17:04:03 UTC
Prefetching of Java files in OnePassCompileWorker and SuperOnePassCompileWorker decreases time of scan of java.source + deps by 5%
Comment 1 Tomas Zezula 2012-02-16 12:51:15 UTC
Fixed jet-main 1687f3d12679
Comment 2 Quality Engineering 2012-02-18 09:29:22 UTC
Integrated into 'main-golden', will be available in build *201202180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1687f3d12679
User: Tomas Zezula <tzezula@netbeans.org>
Log: i#206017:Prefetch of Java files in JavaCustomIndexer


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo